# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "awa-model"
version = "0.5.1-alpha.3"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Core types, queries, and migrations for the Awa job queue"
readme = "README.md"
license = "MIT OR Apache-2.0"
repository = "https://github.com/hardbyte/awa"

[features]
cel = ["dep:cel"]
tokio-postgres = ["dep:tokio-postgres"]

[lib]
name = "awa_model"
path = "src/lib.rs"

[[test]]
name = "bridge_tokio_pg_test"
path = "tests/bridge_tokio_pg_test.rs"

[dependencies.awa-macros]
version = "0.5.1-alpha.3"

[dependencies.blake3]
version = "1"

[dependencies.cel]
version = "0.13"
features = ["json"]
optional = true

[dependencies.chrono]
version = "0.4"
features = ["serde"]

[dependencies.chrono-tz]
version = "0.10"

[dependencies.croner]
version = "2"

[dependencies.hex]
version = "0.4"

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"

[dependencies.sqlx]
version = "0.8"
features = [
    "runtime-tokio-rustls",
    "postgres",
    "chrono",
    "json",
    "migrate",
    "uuid",
]

[dependencies.thiserror]
version = "2"

[dependencies.tokio]
version = "1"
features = ["full"]

[dependencies.tokio-postgres]
version = "0.7"
features = [
    "with-chrono-0_4",
    "with-serde_json-1",
    "with-uuid-1",
]
optional = true

[dependencies.tracing]
version = "0.1"

[dependencies.uuid]
version = "1"
features = [
    "v4",
    "serde",
]

[dev-dependencies.tokio]
version = "1"
features = [
    "full",
    "full",
    "test-util",
]
